## mycompiler.myclass
Class ClassBody

    java.lang.Object
      mycompiler.myclass.ClassBody

    public class ClassBody

extends java.lang.Object

Field Summary
`java.util.Hashtable` `kill`

Constructor Summary
`ClassBody()`

Method Summary
`void` `codegen(ClassFile classfile, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.util.Hashtable` `complete_parahashtable(de.dhbwstuttgart.typeinference.Menge classlist, UsedId superclassid, java.util.Hashtable childhash, boolean ext)`
`de.dhbwstuttgart.typeinference.Menge` `get_FieldDeclMenge()`
`java.util.Hashtable` `get_hash()`
`java.util.Hashtable` `init_parahashtable(de.dhbwstuttgart.typeinference.Menge paralist, boolean ext)`
`boolean` `is_declared(Type t, de.dhbwstuttgart.typeinference.Menge classlist)`
`void` `istParameterOK(de.dhbwstuttgart.typeinference.Menge Parameter, de.dhbwstuttgart.typeinference.Menge KlassenVektor)`
`void` `sc_check(de.dhbwstuttgart.typeinference.Menge classlist, boolean ext)`
`void` `sc_init_hashtable_for_extended_classes(de.dhbwstuttgart.typeinference.Menge classlist, java.lang.String strSuperKlassenName, java.util.Hashtable childhash, de.dhbwstuttgart.typeinference.Menge paralist, java.util.Hashtable parahash, java.util.Hashtable kill, boolean ext)`
`void` `sc_init_hashtable(de.dhbwstuttgart.typeinference.Menge KlassenVektor, java.lang.String strSuperKlassenName, java.lang.String classname, boolean ext)`
`void` `set_FieldDecl(FieldDecl i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kill

    public java.util.Hashtable kill

Constructor Detail

### ClassBody

    public ClassBody()

Method Detail

### sc_init_hashtable

    public void sc_init_hashtable(de.dhbwstuttgart.typeinference.Menge KlassenVektor,
                                  java.lang.String strSuperKlassenName,
                                  java.lang.String classname,
                                  boolean ext)
                           throws SCClassBodyException

  Throws:
    `SCClassBodyException`

### sc_init_hashtable_for_extended_classes

    public void sc_init_hashtable_for_extended_classes(de.dhbwstuttgart.typeinference.Menge classlist,
                                                       java.lang.String strSuperKlassenName,
                                                       java.util.Hashtable childhash,
                                                       de.dhbwstuttgart.typeinference.Menge paralist,
                                                       java.util.Hashtable parahash,
                                                       java.util.Hashtable kill,
                                                       boolean ext)

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classlist,
                         boolean ext)
                  throws SCClassBodyException

  Throws:
    `SCClassBodyException`

### init_parahashtable

    public java.util.Hashtable init_parahashtable(de.dhbwstuttgart.typeinference.Menge paralist,
                                                  boolean ext)

### complete_parahashtable

    public java.util.Hashtable complete_parahashtable(de.dhbwstuttgart.typeinference.Menge classlist,
                                                      UsedId superclassid,
                                                      java.util.Hashtable childhash,
                                                      boolean ext)
                                               throws SCClassBodyException

  Throws:
    `SCClassBodyException`

### codegen

    public void codegen(ClassFile classfile,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Throws:
    `JVMCodeException`

### get_hash

    public java.util.Hashtable get_hash()

### get_FieldDeclMenge

    public de.dhbwstuttgart.typeinference.Menge get_FieldDeclMenge()

### set_FieldDecl

    public void set_FieldDecl(FieldDecl i)

### is_declared

    public boolean is_declared(Type t,
                               de.dhbwstuttgart.typeinference.Menge classlist)
                        throws SCClassBodyException

  Throws:
    `SCClassBodyException`

### istParameterOK

    public void istParameterOK(de.dhbwstuttgart.typeinference.Menge Parameter,
                               de.dhbwstuttgart.typeinference.Menge KlassenVektor)